Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels
Class CChannelManager.Workflow

    java.lang.Object
      org.jasig.portal.channels.CChannelManager.Workflow

Enclosing class:
  CChannelManager

    protected class CChannelManager.Workflow

extends java.lang.Object

This Workflow class represents the collection of workflow sections and can produce an XML version of itself for passing to the XSLT stylesheets. When a particular section is not explicitly set, a minimal XML fragment will still be included so that the channel can render the workflow sections at the top. The channel parameters section is included every time except when the channel type is not known.

Field Summary
`protected CChannelManager.WorkflowSection` | `categoriesSection`
`protected CChannelManager.WorkflowSection` | `channelParamsSection`
`protected CChannelManager.WorkflowSection` | `channelTypesSection`
`protected CChannelManager.WorkflowSection` | `controlsSection`
`protected CChannelManager.WorkflowSection` | `generalSettingsSection`
`protected CChannelManager.WorkflowSection` | `groupsSection`
`protected CChannelManager.WorkflowSection` | `reviewSection`

Constructor Summary
`protected` | `CChannelManager.Workflow()`

Method Summary
`private void` | `addChannelParamsSection(org.w3c.dom.Element e)`
`private void` | `addSection(CChannelManager.WorkflowSection section, java.lang.String sectionElementName, java.lang.String stepTitle, org.w3c.dom.Element e)`
`protected void` | `setCategoriesSection(CChannelManager.WorkflowSection categoriesSection)`
`protected void` | `setChannelParamsSection(CChannelManager.WorkflowSection channelParamsSection)`
`protected void` | `setChannelTypesSection(CChannelManager.WorkflowSection channelTypesSection)`
`protected void` | `setControlsSection(CChannelManager.WorkflowSection controlsSection)`
`protected void` | `setGeneralSettingsSection(CChannelManager.WorkflowSection generalSettingsSection)`
`protected void` | `setGroupsSection(CChannelManager.WorkflowSection groupsSection)`
`protected void` | `setReviewSection(CChannelManager.WorkflowSection reviewSection)`
`protected org.w3c.dom.Document` | `toXML()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### channelTypesSection

    protected CChannelManager.WorkflowSection channelTypesSection

### generalSettingsSection

    protected CChannelManager.WorkflowSection generalSettingsSection

### channelParamsSection

    protected CChannelManager.WorkflowSection channelParamsSection

### controlsSection

    protected CChannelManager.WorkflowSection controlsSection

### categoriesSection

    protected CChannelManager.WorkflowSection categoriesSection

### groupsSection

    protected CChannelManager.WorkflowSection groupsSection

### reviewSection

    protected CChannelManager.WorkflowSection reviewSection

Constructor Detail

### CChannelManager.Workflow

    protected CChannelManager.Workflow()

Method Detail

### setChannelTypesSection

    protected void setChannelTypesSection(CChannelManager.WorkflowSection channelTypesSection)

### setGeneralSettingsSection

    protected void setGeneralSettingsSection(CChannelManager.WorkflowSection generalSettingsSection)

### setChannelParamsSection

    protected void setChannelParamsSection(CChannelManager.WorkflowSection channelParamsSection)

### setControlsSection

    protected void setControlsSection(CChannelManager.WorkflowSection controlsSection)

### setCategoriesSection

    protected void setCategoriesSection(CChannelManager.WorkflowSection categoriesSection)

### setGroupsSection

    protected void setGroupsSection(CChannelManager.WorkflowSection groupsSection)

### setReviewSection

    protected void setReviewSection(CChannelManager.WorkflowSection reviewSection)

### toXML

    protected org.w3c.dom.Document toXML()
                                  throws PortalException

  Throws:
    `PortalException`

### addSection

    private void addSection(CChannelManager.WorkflowSection section,
                            java.lang.String sectionElementName,
                            java.lang.String stepTitle,
                            org.w3c.dom.Element e)

### addChannelParamsSection

    private void addChannelParamsSection(org.w3c.dom.Element e)
                                  throws PortalException

  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD